<?php
	//418 LINEAS DE CODIGO
	//MARCO BELLIDO
	//marcoocram@gmail.com
	include("funcalendar.php");
	if($_REQUEST['nie']!="")
	{

		include("../../conexion.php");

		$nie=$_REQUEST['nie'];

		$consulta=mysql_query("SELECT * FROM alumnos WHERE NIE=".$nie,$conexion);
		if(mysql_num_rows($consulta)!=0)
		{
?>
<script language="javascript">
	alert("El NIE introducido es incorrecto ya que ya hay algun alumno con ese NIE");
	window.history.back();
</script>
<?php
		} else {
			$idcurso=$_REQUEST['curso'];
			$idgrupo=$_REQUEST['grupo'];
			$idcentro=$_REQUEST['idcentro'];
			$numgrupo=$_REQUEST['numGrupo'];

			$idsituacione=$_REQUEST['situacione'];
			if($idsituacione==0) //Nueva Situacion Educativa
			{
				if($_REQUEST['otrasituacione']!="")
				{
					mysql_query("INSERT INTO situacioneducativas (situacionEducativa) VALUES ('".$_REQUEST['otrasituacione']."')", $conexion);
					$consultaSituacione=mysql_query("SELECT * FROM situacioneducativas ORDER BY id DESC",$conexion);
					$filaSituacione=mysql_fetch_array($consultaSituacione);
					$idsituacione=$filaSituacione['id'];
				} else
				{
					$idsituacione=1;
				}
			}

			$numhermanos=$_REQUEST['numhermanos'];
			$ordenhermanos=$_REQUEST['ordenhermanos'];
			$sql="INSERT INTO alumnos(NIE,idCentro,idCurso,idGrupo,numGrupo,idSituacionEducativa,numeroHermanos,posicionOcupa) VALUES ($nie,$idcentro,$idcurso,$idgrupo,$numgrupo,$idsituacione,$numhermanos,$ordenhermanos)";
			mysql_query($sql,$conexion);

			$consulta=mysql_query("SELECT * FROM alumnos WHERE NIE=".$nie,$conexion);
			$fila=mysql_fetch_array($consulta);
			$id=$fila['id'];

			$tutor=$_REQUEST['tutor'];
			if($tutor!="")
			{
				mysql_query("UPDATE alumnos SET tutor='".$tutor."' WHERE id=".$id,$conexion);
			}
			$nombre=$_REQUEST['nombre'];
			if($nombre!="")
			{
				mysql_query("UPDATE alumnos SET nombre='".$nombre."' WHERE id=".$id,$conexion);
			}
			$apellidos=$_REQUEST['apellidos'];
			if($apellidos!="")
			{
				mysql_query("UPDATE alumnos SET apellidos='".$apellidos."' WHERE id=".$id,$conexion);
			}
			$lugarnac=$_REQUEST['lugarnac'];
			if($lugarnac!="")
			{
				mysql_query("UPDATE alumnos SET lugarNacimiento='".$lugarnac."' WHERE id=".$id,$conexion);
			}
			$domicilio=$_REQUEST['domicilio'];
			if($domicilio!="")
			{
				mysql_query("UPDATE alumnos SET domicilio='".$domicilio."' WHERE id=".$id,$conexion);
			}
			$localidad=$_REQUEST['localidad'];
			if($localidad!="")
			{
				mysql_query("UPDATE alumnos SET localidad='".$localidad."' WHERE id=".$id,$conexion);
			}
			$tel1=$_REQUEST['tel1'];
			if($tel1!="")
			{
				mysql_query("UPDATE alumnos SET telefono='".$tel1."' WHERE id=".$id,$conexion);
			}
			$tel2=$_REQUEST['tel2'];
			if($tel2!="")
			{
				mysql_query("UPDATE alumnos SET telefono2='".$tel2."' WHERE id=".$id,$conexion);
			}
			$nompadre=$_REQUEST['nompadre'];
			if($nompadre!="")
			{
				mysql_query("UPDATE alumnos SET nombrePadre='".$nompadre."' WHERE id=".$id,$conexion);
			}
			$edadpadre=$_REQUEST['edadpadre'];
			if($edadpadre!="")
			{
				mysql_query("UPDATE alumnos SET edadPadre=".$edadpadre." WHERE id=".$id,$conexion);
			}
			$profepadre=$_REQUEST['profepadre'];
			if($profepadre!="")
			{
				mysql_query("UPDATE alumnos SET profesionPadre='".$profepadre."' WHERE id=".$id,$conexion);
			}
			$estupadre=$_REQUEST['estupadre'];
			if($estupadre!="")
			{
				mysql_query("UPDATE alumnos SET estudiosPadre='".$estupadre."' WHERE id=".$id,$conexion);
			}
			$nommadre=$_REQUEST['nommadre'];
			if($nommadre!="")
			{
				mysql_query("UPDATE alumnos SET nombreMadre='".$nommadre."' WHERE id=".$id,$conexion);
			}
			$edadmadre=$_REQUEST['edadmadre'];
			if($edadmadre!="")
			{
				mysql_query("UPDATE alumnos SET edadMadre=".$edadmadre." WHERE id=".$id,$conexion);
			}
			$profemadre=$_REQUEST['profemadre'];
			if($profemadre!="")
			{
				mysql_query("UPDATE alumnos SET profesionMadre='".$profemadre."' WHERE id=".$id,$conexion);
			}
			$estumadre=$_REQUEST['estumadre'];
			if($estumadre!="")
			{
				mysql_query("UPDATE alumnos SET estudiosMadre='".$estumadre."' WHERE id=".$id,$conexion);
			}
			if(comprobarFecha($_REQUEST['dia'],$_REQUEST['mes'],$_REQUEST['ano']))
			{
				$fechanac=$_REQUEST['ano']."-".traducirFecha($_REQUEST['mes'])."-".traducirFecha($_REQUEST['dia']);
				mysql_query("UPDATE alumnos SET fechaNacimiento='".$fechanac."' WHERE id=".$id,$conexion);
			}

			if($_FILES['fotofich']['name'])
			{
				$carpeta_archivos='fotos';
				if(!file_exists($carpeta_archivos))
				{
					mkdir($carpeta_archivos);
					@chmod($carpeta_archivos, 0777);
				}
				$tmp = $_FILES['fotofich']['tmp_name'];
				$name = $_FILES['fotofich']['name'];
				$extension=substr($name,strlen($name)-4,strlen($name));
				$ahora = $carpeta_archivos.'/'.$fila['id'].$extension;
				move_uploaded_file($tmp, $ahora);

				mysql_query("UPDATE alumnos SET fotografia='".$fila['id'].$extension."' WHERE id=".$fila['id'],$conexion);
			}
			switch($_REQUEST['destino'])
			{
				case 0:
					header("location:datospersonales.php?id=".$fila['id']);
					break;
				case 1:
					header("location:historial.php?id=".$fila['id']);
					break;
				case 2:
					header("location:expediente.php?id=".$fila['id']);
					break;
				case 3:
					header("location:entrevistas.php?id=".$fila['id']);
					break;
				case 4:
					header("location:datospsicopedagogicos.php?id=".$fila['id']);
					break;
				case 5:
					header("location:comportamiento.php?id=".$fila['id']);
					break;
				case 6:
					header("location:contextosocial.php?id=".$fila['id']);
					break;
			}
		}
	} else
	{
		header("location:asesoramiento.php");
	}
?>